/* This file is part of Eclat.
   Copyright (C) 2012 Sergey Poznyakoff.
 
   Eclat is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3, or (at your option)
   any later version.
 
   Eclat is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
 
   You should have received a copy of the GNU General Public License
   along with Eclat.  If not, see <http://www.gnu.org/licenses/>. */

#include "eclat.h"
static int vpc;
#include "disassaddr-cl.h"

int
eclat_disassociate_address(CURL *curl, int argc, char **argv)
{
	int i;
	struct ec2_query *q;

	parse_options(argc, argv, &i);
	argc -= i;
	argv += i;

	if (argc != 1)
		die(EX_USAGE, "wrong number of arguments to disassociate-address");

	q = eclat_query_create(use_ssl ? EC2_QF_HTTPS : 0, endpoint, "/");
	eclat_query_add_param(q, "Action", "DisassociateAddress");
	eclat_query_add_param(q, vpc ? "AssociationId" : "PublicIp", argv[0]);

	return eclat_send_query(curl, q);
}
